%define name python-twisted-web
%define version 10.2.0
%define rel 1
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        An HTTP protocol implementation together with clients and servers
Name:           %{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:        http://tmrc.mit.edu/mirror/twisted/Web/%{mainver}/TwistedWeb-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/web/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
An HTTP protocol implementation together with clients and servers, based on
the twisted python framework.

%prep
%setup -q -n TwistedWeb-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %py_platsitedir/twisted/web
%py_platsitedir/twisted/web/*
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info


%changelog
* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55767
- update to 10.2.0

* Wed Jan 19 2011 erwan <erwan> 10.1.0-3.mga1
+ Revision: 24869
- imported package python-twisted-web


* Tue Nov 02 2010 Götz Waschk <waschk@mandriva.org> 10.1.0-3mdv2011.0
+ Revision: 591908
- rebuild for python 2.7

* Mon Nov 01 2010 Jani Välimaa <wally@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 591707
- rebuild for python 2.7

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555039
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514227
- Update to 10.0.0.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 9.0.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323862
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-2mdv2009.1
+ Revision: 318658
- rebuild for python 8.6

* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219035
- new version 8.1.0

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 0.7.0-3mdv2008.1
+ Revision: 190009
- remove 415k of docs from livecd
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-2mdv2008.0
+ Revision: 90201
- rebuild


* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2007.0
+ Revision: 111005
- update file list
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdv2007.1
+ Revision: 88520
- bot rebuild
- Import python-twisted-web

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdv2007.1
- update file list

* Fri Jun 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.0-1mdv2007.0
- 0.6.0

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.5.0-2mdk
- make it arch dependant ( or it will not work on x86_64 du to module loading issue )

* Mon May 09 2005 Michael Scherer <misc@mandriva.org> 0.5.0-1mdk
- Initial package

